import request from '/@/utils/request';

export function safetyRiskEventApi() {
    return {
        // v1
        getSafetyRiskEventList: (data: object) => {
            return request({
                url: `/prevent/riskEvent/select/getRiskEventPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addSafetyRiskEvent: (data: object) => {
            return request({
                url: `/prevent/riskEvent/insert/saveRiskEvent`,
                method: 'post',
                data: data
            });
        },
        // v1
        modSafetyRiskEvent: (data: object) => {
            return request({
                url: `/prevent/riskEvent/update/updateRiskEvent`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteSafetyRiskEvent: (data: object) => {
            return request({
                url: `/prevent/riskEvent/delete/deleteRiskEvent`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllSafetyRiskEventList: () => {
            return request({
                url: `/prevent/riskEvent/select/getListEvents`,
                method: 'post'
            });
        }
    };
}
